<!DOCTYPE html>
<html lang="fr">

<head>
    <title>The tabletop Web interface</title>
    <meta charset='UTF-8' />
    <link rel="shortcut icon" type="image/png" href=".././aide-favicon.png" />
    <link rel='stylesheet' type='text/css' href='../style.css' />
</head>

<body id="room1">

    <div id=divMain>

        <audio id="audioOzon" src="./audio/Room1_1.mp3" autoplay></audio>
        <a class="onclick" onclick="replay('audioOzon')">
            <img class="ozon" src="../images/mathieu/ozon.png" alt="ozon">
        </a>
        <a class="onclick" onclick="showDiv('divHelp', 'divMain')"><img id="help"
                src="../images/mathieu/help_button.png" alt="help"></a>
        <a class="onclick" onclick="showDiv('divText', 'divMain')"><img id="text"
                src="../images/mathieu/text_button.png" alt="text"></a>
        <a class="onclick" onclick="mute('audioOzon')"><img id="audio" src="../images/mathieu/audio_button.png"
                alt="audio"></a>

        <a class="onclick" href="room0_2.html">
            <img id="previousRoom" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>

        <canvas id="canvas"></canvas>

        <div id='canvasImages'>
            <img id="canvasBackground" src="../images/room1.png" alt="canvas">
            <img id="ozobot" src="../images/ozobot.png" alt="ozobot">
            <img id="ozobotOpacity0" src="../images/ozobot_opacity0.png" alt="ozobotOpacity0">
            <img id="forward1" src="../images/instructions/room1/avance_1.png" alt="forward1">
            <img id="forward2" src="../images/instructions/room1/avance_2.png" alt="forward2">
            <img id="forward3" src="../images/instructions/room1/avance_3.png" alt="forward3">
            <img id="turnLeft" src="../images/instructions/room1/gauche.png" alt="turnLeft">
            <img id="turnRight" src="../images/instructions/room1/droite.png" alt="turnRight">
            <img id="start" src="../images/instructions/room1/start.png" alt="start">
        </div>

        <div id="simulator">
            <button class='simulator' id='simulatorLeft' onclick="moveOzobot(-90);">A gauche</button>
            <button class='simulator' id='simulatorRight' onclick="moveOzobot(90);">A droite</button>
            <button class='simulator' id='simulatorForward1' onclick="moveOzobot(0, 1);">Avance de 1 </button>
            <button class='simulator' id='simulatorForward2' onclick="moveOzobot(0, 2);">Avance de 2 </button>
            <button class='simulator' id='simulatorForward3' onclick="moveOzobot(0, 3);">Avance de 3 </button>

        </div>

        <button class="start" id="startTraining" data-slug="startTraining"
            onclick="initBarriers(); initCanvas(); initOzobot();"></button>
        <button class="start" id="startGame" data-slug="startGame"
            onclick="initPanel(); initGrid(); initGame();"></button>
        <button class="start" id="continueButton" data-slug="continue"
            onclick="window.location.replace('./room1_2.html')"></button>

    </div>

    <div class="hiddenDiv" id="divHelp">

        <div class="topQuitDiv">
            <a class="onclick" onclick="showDiv('divMain', 'divHelp')">
                <img class="crossTop" src="../images/mathieu/cross_button.png" alt="Quit">
            </a>
        </div>

        <div class="left">
            <!-- Changer l'audio -->
            <audio id="audioSaturnin" src="./audio/audio_test.mp3"></audio>
            <a class="onclick" onclick="replay('audioSaturnin')">
                <img class="saturnin" src="../images/mathieu/saturnin.png" alt="saturnin">
            </a>
        </div>

        <div class="right">
            <p data-slug="helpRoom1_1"></p>
        </div>

        <div class="bottom">
            <button class="clue" onclick="showDiv('divClue2', 'divHelp')" data-slug="clue2"></button>
            <button class="clue" onclick="showDiv('divClue1', 'divHelp')" data-slug="clue1"></button>
        </div>

    </div>

    <div class="hiddenDiv" id=divClue1>

        <div class="topQuitDiv">
            <a class="onclick" onclick="showDiv('divHelp', 'divClue1')">
                <img class="crossTop" src="../images/mathieu/cross_button.png" alt="Quit">
            </a>
        </div>

        <div class="left">
            <!-- Changer l'audio -->
            <audio id="audioSaturninClue1" src="./audio/audio_test.mp3"></audio>
            <a class="onclick" onclick="replay('audioSaturninClue1')">
                <img class="saturnin" src="../images/mathieu/saturnin.png" alt="saturnin">
            </a>
        </div>

        <div class="right">
            <p data-slug="clue1Room1_1"></p>
        </div>

    </div>

    <div class="hiddenDiv" id=divClue2>

        <div class="topQuitDiv">
            <a class="onclick" onclick="showDiv('divHelp', 'divClue2')">
                <img class="crossTop" src="../images/mathieu/cross_button.png" alt="Quit">
            </a>
        </div>

        <div class="left">
            <!-- Changer l'audio -->
            <audio id="audioSaturninClue2" src="./audio/audio_test.mp3"></audio>
            <a class="onclick" onclick="replay('audioSaturninClue2')">
                <img class="saturnin" src="../images/mathieu/saturnin.png" alt="saturnin">
            </a>
        </div>

        <div class="right">
            <p data-slug="clue2Room1_1"></p>
        </div>

    </div>

    <div class="hiddenDiv" id="divText">

        <a class="onclick" onclick="replay('audioOzon')">
            <img class="ozonTextCh" src="../images/mathieu/ozon.png" alt="ozon">
        </a>

        <div class="topQuitDiv">
            <a class="onclick" onclick="showDiv('divMain', 'divText')">
                <img class="crossTop" src="../images/mathieu/cross_button.png" alt="Quit">
            </a>
        </div>

        <div class="top">
            <p id="ozonText" data-slug="ozonTextRoom1_1"></p>
        </div>

    </div>


    <script src="strings.js"></script>
    <script src="room1_1.js"></script>
    <script src="../aideweb.js"></script>
    <script src="simulator.js"></script>
    <script src="interface.js"></script>
    <script>
        slugstring.fill(strings_of_the_html_page);
        setBackground(roomID, "../images/mathieu/room1.png");
    </script>

</body>

</html>
